%define api       4.0
%define major     3
%define girapi    4.0
%define libname   %mklibname dmapsharing %{api} %{major}
%define girname   %mklibname dmap-gir %{girapi}
%define develname %mklibname dmapsharing %{api} -d

Name:           libdmapsharing
Version:        3.9.11
Release:        %mkrel 1
License:        LGPLv2+
Summary:        A DMAP client and server library
Group:          System/Libraries
URL:            https://www.flyn.org/projects/libdmapsharing/index.html
Source:         https://www.flyn.org/projects/libdmapsharing/%{name}-%{version}.tar.gz
Patch1:		libdmapsharing-linking.patch
BuildRequires:  pkgconfig(avahi-client)
BuildRequires:  pkgconfig(avahi-glib)
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(vapigen)
BuildRequires:  gnome-common
BuildRequires:  gtk-doc

%description
libdmapsharing implements the DMAP protocols. This includes support for
DAAP and DPAP.

%package -n     %{libname}
Summary:        A DMAP client and server library
Group:          System/Libraries

%description -n %{libname}
libdmapsharing implements the DMAP protocols. This includes support for
DAAP and DPAP.

%files -n %{libname}
%{_libdir}/libdmapsharing-%{api}.so.%{major}{,.*}

%package -n     %{girname}
Summary:        GObject Introspection interface library for Dmap
Group:          System/Libraries

%description -n %{girname}
GObject Introspection interface library for Dmap.

%files -n %{girname}
%{_libdir}/girepository-1.0/Dmap-%{girapi}.typelib

%package -n     %{develname}
Summary:        Files needed to develop applications using libdmapsharing
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
libdmapsharing implements the DMAP protocols. This includes support for DAAP
and DPAP. This package provides the libraries, include files, and other
resources needed for developing applications using libdmapsharing.

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/libdmapsharing-%{api}/
%{_libdir}/pkgconfig/libdmapsharing-%{api}.pc
%{_includedir}/libdmapsharing-%{api}/
%{_libdir}/libdmapsharing-%{api}.so
%{_datadir}/gir-1.0/Dmap-%{girapi}.gir
%{_datadir}/vala/vapi/libdmapsharing-%{api}.vapi

%prep
%autosetup -p1 -n %{name}-%{version}

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure --disable-static
%make_build

%install
%make_install


%changelog
* Mon Feb 13 2023 wally <wally> 3.9.11-1.mga9
+ Revision: 1941224
- new version 3.9.11
- switch to libsoup3

* Thu Sep 29 2022 wally <wally> 3.9.10-3.mga9
+ Revision: 1893334
- rename .spec also

* Thu Sep 29 2022 wally <wally> 3.9.10-2.mga9
+ Revision: 1893310
- rename back to libdmapsharing

* Wed Sep 28 2022 wally <wally> 3.9.10-1.mga9
+ Revision: 1892983
- fork as libdmapsharing4
- new version 3.9.10

* Wed Apr 06 2022 umeabot <umeabot> 2.9.41-3.mga9
+ Revision: 1845749
- Mageia 9 Mass Rebuild

* Sat Oct 31 2020 wally <wally> 2.9.41-2.mga8
+ Revision: 1641052
- fix linking (on arm)

* Sat Oct 31 2020 wally <wally> 2.9.41-1.mga8
+ Revision: 1641042
- new version 2.9.41
- replace deprecated %%configure2_5x
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Nov 29 2018 daviddavid <daviddavid> 2.9.39-2.mga7
+ Revision: 1336655
- split out in a separate sub-pkg the GObject Introspection interface library

* Sun Aug 26 2018 daviddavid <daviddavid> 2.9.39-1.mga7
+ Revision: 1254702
- new version: 2.9.39

* Wed May 04 2016 tv <tv> 2.9.30-2.mga6
+ Revision: 1009152
- BR pkgconfig(gobject-introspection-1.0)
- package gir stuff too

* Wed May 04 2016 tv <tv> 2.9.30-1.mga6
+ Revision: 1009082
- add a vala sub package
- rediff patch 0
- new release

* Mon Feb 08 2016 umeabot <umeabot> 2.9.24-4.mga6
+ Revision: 946011
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.9.24-3.mga5
+ Revision: 741092
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9.24-2.mga5
+ Revision: 681417
- Mageia 5 Mass Rebuild

* Wed Feb 19 2014 tv <tv> 2.9.24-1.mga5
+ Revision: 594951
- new release

* Sat Oct 19 2013 umeabot <umeabot> 2.9.23-2.mga4
+ Revision: 533442
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 sander85 <sander85> 2.9.23-1.mga4
+ Revision: 473109
- New version: 2.9.23

* Sat Aug 03 2013 fwang <fwang> 2.9.22-2.mga4
+ Revision: 462820
- requires libgee 0.8

* Sat Aug 03 2013 fwang <fwang> 2.9.22-1.mga4
+ Revision: 462812
- new version 2.9.22

* Fri May 24 2013 tv <tv> 2.9.17-1.mga4
+ Revision: 426601
- new release

* Sat Jan 12 2013 umeabot <umeabot> 2.9.16-3.mga3
+ Revision: 356992
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 2.9.16-2.mga3
+ Revision: 341584
- patch1: fix build with automake 1.13

* Thu Dec 20 2012 fwang <fwang> 2.9.16-1.mga3
+ Revision: 333336
- new version 2.9.16

* Fri Jun 08 2012 fwang <fwang> 2.9.15-1.mga3
+ Revision: 257510
- new version 2.9.15

* Mon Jan 02 2012 fwang <fwang> 2.9.14-1.mga2
+ Revision: 189614
- br gtk-doc
- fix linkage
+ tv <tv>
- new release

* Tue Oct 04 2011 fwang <fwang> 2.9.12-2.mga2
+ Revision: 151478
- drop .la files

* Thu Jun 16 2011 pterjan <pterjan> 2.9.12-1.mga2
+ Revision: 108436
- Switch to 3.0 branch

* Thu Mar 24 2011 boklm <boklm> 2.1.9-3.mga1
+ Revision: 76165
- rebuild for bug #497

* Sat Mar 05 2011 tv <tv> 2.1.9-2.mga1
+ Revision: 64653
- rebuild

* Sat Mar 05 2011 dmorgan <dmorgan> 2.1.9-1.mga1
+ Revision: 64647
- imported package libdmapsharing


* Wed Nov 17 2010 Götz Waschk <waschk@mandriva.org> 2.1.9-1mdv2011.0
+ Revision: 598140
- update to new version 2.1.9

* Sun Oct 31 2010 Götz Waschk <waschk@mandriva.org> 2.1.7-1mdv2011.0
+ Revision: 591179
- update to new version 2.1.7

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 2.0.0-1mdv2011.0
+ Revision: 571652
- import libdmapsharing

